Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TimeBase::UtcT_var Class Reference

`#include <TimeBaseC.h>`

Collaboration diagram for TimeBase::UtcT_var:

[legend]
List of all members.

## Public Methods
| UtcT_var (void)
| UtcT_var (UtcT *)
| UtcT_var (const UtcT_var &)
| UtcT_var (const UtcT &)
| ~UtcT_var (void)
UtcT_var & | operator= (UtcT *)
UtcT_var & | operator= (const UtcT_var &)
UtcT_var & | operator= (const UtcT &)
UtcT * | operator-> (void)
const UtcT * | operator-> (void) const
| operator const UtcT & () const
| operator UtcT & ()
| operator UtcT & () const
const UtcT & | in (void) const
UtcT & | inout (void)
UtcT & | out (void)
UtcT | _retn (void)
UtcT * | ptr (void) const
## Private Attributes
UtcT * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE TimeBase::UtcT_var::UtcT_var | ( | void |  | ) |

ACE_INLINE TimeBase::UtcT_var::UtcT_var | ( | UtcT * | p | ) |

TimeBase::UtcT_var::UtcT_var | ( | const UtcT_var & |  | ) |

TimeBase::UtcT_var::UtcT_var | ( | const UtcT & |  | ) |

ACE_INLINE TimeBase::UtcT_var::~UtcT_var | ( | void |  | ) |

## Member Function Documentation

UtcT TimeBase::UtcT_var::_retn | ( | void |  | ) |

const UtcT& TimeBase::UtcT_var::in | ( | void |  | ) | const

UtcT& TimeBase::UtcT_var::inout | ( | void |  | ) |

TimeBase::UtcT_var::operator const UtcT & | ( |  | ) | const

TimeBase::UtcT_var::operator UtcT & | ( |  | ) | const

TimeBase::UtcT_var::operator UtcT & | ( |  | ) |

ACE_INLINE const ::TimeBase::UtcT * TimeBase::UtcT_var::operator-> | ( | void |  | ) | const

ACE_INLINE::TimeBase::UtcT * TimeBase::UtcT_var::operator-> | ( | void |  | ) |

UtcT_var& TimeBase::UtcT_var::operator= | ( | const UtcT & |  | ) |

UtcT_var& TimeBase::UtcT_var::operator= | ( | const UtcT_var & |  | ) |

ACE_INLINE TimeBase::UtcT_var & TimeBase::UtcT_var::operator= | ( | UtcT * | p | ) |

UtcT& TimeBase::UtcT_var::out | ( | void |  | ) |

UtcT* TimeBase::UtcT_var::ptr | ( | void |  | ) | const

## Member Data Documentation

UtcT* TimeBase::UtcT_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- TimeBaseC.h
- TimeBaseC.i